//!	Pin4.h


//--------------------------- inclusion guards ----------------------
#ifndef _Pin4_h_
#define _Pin4_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"


//--------------------------- class definition ----------------------
class CPin4 :
        public CArduino_DigitalInput<4>,
        public CArduino_DigitalOutput<4>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPin4);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPin4 Pin4;

#endif
