//!	PinA1.h


//--------------------------- inclusion guards ----------------------
#ifndef _PinA1_h_
#define _PinA1_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"
#include "Arduino_AnalogInput.h"


//--------------------------- class definition ----------------------
class CPinA1 :
        public CArduino_DigitalInput<15>,
        public CArduino_DigitalOutput<15>,
        public CArduino_AnalogInput<1,1023>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPinA1);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPinA1 PinA1;

#endif
