//!	PinA3.h


//--------------------------- inclusion guards ----------------------
#ifndef _PinA3_h_
#define _PinA3_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"
#include "Arduino_AnalogInput.h"


//--------------------------- class definition ----------------------
class CPinA3 :
        public CArduino_DigitalInput<17>,
        public CArduino_DigitalOutput<17>,
        public CArduino_AnalogInput<3,1023>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPinA3);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPinA3 PinA3;

#endif
