//!	PinA5.h


//--------------------------- inclusion guards ----------------------
#ifndef _PinA5_h_
#define _PinA5_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"
#include "Arduino_AnalogInput.h"


//--------------------------- class definition ----------------------
class CPinA5 :
        public CArduino_DigitalInput<19>,
        public CArduino_DigitalOutput<19>,
        public CArduino_AnalogInput<5,1023>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPinA5);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPinA5 PinA5;

#endif
